﻿using System;
using Common;
using HR;
using Interfaces;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using StructureMap;

namespace SimplestTestDemo
{
    [TestClass]
    public static class ContainerBootstrapper
    {
        [AssemblyInitialize]
        public static void BootstrapStructureMap(TestContext context=null)
        {
            ObjectFactory.Initialize(x =>
            {
                x.For<IHr>().Singleton().Use<HrManager>();
                x.For<ILog>().Singleton().Use<LogManager>().Ctor<string>("logPath").Is(AppDomain.CurrentDomain.BaseDirectory + "log");
            });
        }
    }
}
